GIT-SHELL(1)

NAME
git-shell - Restricted login shell for GIT-only SSH access

SYNOPSIS

$(git --exec-path)/git-shell -c <command> <argument>

DESCRIPTION

This is meant to be used as a login shell for SSH accounts you want to restrict to GIT pull/push access only. It permits execution only of server-side GIT commands implementing the pull/push functionality. The commands can be executed only by the -c option; the shell is not interactive.

Currently, only four commands are permitted to be called, git-receive-pack git-upload-pack and git-upload-archive with a single required argument, or cvs server (to invoke git-cvsserver).

AUTHOR

Written by Linus Torvalds <torvalds@osdl.org>

DOCUMENTATION

Documentation by Petr Baudis and the git-list <git@vger.kernel.org>.

GIT

Part of the git(1) suite